Update Connection
Update a connection by its ID.
The repository handles validation, authentication, and SLC creation when credentials are updated.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
connection_id
Request
This endpoint expects an object.
credentials
The connection credentials to authenticate with the TSP. Update these if the fleet's TSP account credentials have changed.
description
A description of the connection. Useful when the fleet has multiple accounts with the same TSP.
status
The status of the connection.
Response
Successful Response
id
Unique identifier for the connection.
created_at
Timestamp when the connection was created.
updated_at
Timestamp when the connection was last updated.
fleet_id
The Catena ID of the fleet that owns this connection.
tsp_id
The ID of the Telematics Service Provider (TSP).
source_name
The name of the TSP integration used for this connection.
credentials
The connection credentials used to authenticate with the TSP.
status
The current status of the connection.
description
A description of the connection. Useful when the fleet has multiple accounts with the same TSP.
fleet_ref
The reference of the fleet in the partner's system
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error